toolzerhub API Docs

Get a player (v1)

Returns a player: position, shirt number, team, country, height, preferred foot, date of birth, contract end and market value. An unknown id returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/player

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*integer

Player id from lineups, incidents or Search.

Range1 <= value
curl -X GET "https://example.com/v1/sofascore/player?id=934235" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": 0,    "name": "string",    "short_name": "string",    "slug": "string",    "position": "string",    "jersey_number": "string",    "country": {      "code": "string",      "name": "string"    },    "first_name": "string",    "last_name": "string",    "team": {      "id": 0,      "name": "string",      "short_name": "string",      "slug": "string",      "name_code": "string",      "national": true,      "gender": "string",      "country": {        "code": "string",        "name": "string"      },      "ranking": 0    },    "height_cm": 0,    "preferred_foot": "string",    "date_of_birth": "string",    "contract_until": "string",    "market_value": {      "value": 0,      "currency": "string"    },    "retired": true  },  "details": {    "reason": "string",    "message": "string"  }}